import 'package:crptecnologia_flutter_core/core/model/Entity.dart';
import 'package:crptecnologia_flutter_core/core/provider/ApiGraphqlProvider.dart';
import 'package:crptecnologia_flutter_core/core/provider/GraphqlQuery.dart';
import 'package:crptecnologia_flutter_core/default/repository/DefaultRepository.dart';
import 'package:graphql_flutter/graphql_flutter.dart';

class DefaultGraphqlRepository<T extends Entity> extends DefaultRepository<T> {
  DefaultGraphqlRepository(
      jsonEntityCreator, GraphQLClient client, GraphqlQuery<T> query)
      : super(jsonEntityCreator, ApiGraphqlProvider<T>(client, query));
}
